(function () {

/* Imports */
var Meteor = Package.meteor.Meteor;
var _ = Package.underscore._;
var Random = Package.random.Random;
var Accounts = Package['accounts-base'].Accounts;
var AccountsServer = Package['accounts-base'].AccountsServer;
var Google = Package.google.Google;
var Github = Package.github.Github;

(function(){

/////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                     //
// packages/sandstorm-accounts-packages/accounts.js                                                    //
//                                                                                                     //
/////////////////////////////////////////////////////////////////////////////////////////////////////////
                                                                                                       //
if (Meteor.isClient) {                                                                                 // 1
  Meteor.loginWithGoogle = function(options, callback) {                                               // 2
    // support a callback without options                                                              // 3
    if (! callback && typeof options === "function") {                                                 // 4
      callback = options;                                                                              // 5
      options = null;                                                                                  // 6
    }                                                                                                  // 7
                                                                                                       // 8
    var credentialRequestCompleteCallback = Accounts.oauth.credentialRequestCompleteHandler(callback);
    Google.requestCredential(options, credentialRequestCompleteCallback);                              // 10
  };                                                                                                   // 11
  Meteor.loginWithGithub = function(options, callback) {                                               // 12
    // support a callback without options                                                              // 13
    if (! callback && typeof options === "function") {                                                 // 14
      callback = options;                                                                              // 15
      options = null;                                                                                  // 16
    }                                                                                                  // 17
                                                                                                       // 18
    var credentialRequestCompleteCallback = Accounts.oauth.credentialRequestCompleteHandler(callback);
    Github.requestCredential(options, credentialRequestCompleteCallback);                              // 20
  };                                                                                                   // 21
}                                                                                                      // 22
                                                                                                       // 23
var services = [];                                                                                     // 24
                                                                                                       // 25
Accounts.registerService = function (serviceName, accountsUi) {                                        // 26
  if (_.contains(services, serviceName)) {                                                             // 27
    return;                                                                                            // 28
  }                                                                                                    // 29
  services.push(serviceName);                                                                          // 30
  if (serviceName === "emailToken") {                                                                  // 31
    Accounts.emailToken.enable(accountsUi);                                                            // 32
  }                                                                                                    // 33
  else if (Meteor.isClient && (serviceName === "demo" || serviceName === "devAccounts")) {             // 34
    var serviceUserDisplay;                                                                            // 35
    if (serviceName === "demo") {                                                                      // 36
      serviceUserDisplay = "a Demo User";                                                              // 37
    } else {                                                                                           // 38
      serviceUserDisplay = "a Dev Account";                                                            // 39
    }                                                                                                  // 40
    accountsUi.registerService(serviceName, serviceUserDisplay);                                       // 41
  } else {                                                                                             // 42
    Accounts.oauth.registerService(serviceName);                                                       // 43
  }                                                                                                    // 44
};                                                                                                     // 45
                                                                                                       // 46
Accounts.deregisterService = function (serviceName, accountsUi) {                                      // 47
  if (!_.contains(services, serviceName)) {                                                            // 48
    return;                                                                                            // 49
  }                                                                                                    // 50
  services = _.without(services, serviceName);                                                         // 51
  if (serviceName === "emailToken") {                                                                  // 52
    Accounts.emailToken.disable(accountsUi);                                                           // 53
  }                                                                                                    // 54
  else if (Meteor.isClient && (serviceName === "demo" || serviceName === "devAccounts")) {             // 55
    accountsUi.deregisterService(serviceName);                                                         // 56
  } else {                                                                                             // 57
    Accounts.oauth.deregisterService(serviceName);                                                     // 58
  }                                                                                                    // 59
};                                                                                                     // 60
                                                                                                       // 61
/////////////////////////////////////////////////////////////////////////////////////////////////////////

}).call(this);


/* Exports */
if (typeof Package === 'undefined') Package = {};
Package['sandstorm-accounts-packages'] = {};

})();

//# sourceMappingURL=sandstorm-accounts-packages.js.map
